ಒಂದೇ ಪೂರ್ವ-ಹಂಚಿದ ಕೀಲಿಯಿಂದ ಸಂರಚಿಸಲಾದ ಎರಡು ಗೇಟ್ವೇಗಳು ಹ್ಯಾಂಡ್ಶೇಕ್ ಪೂರ್ಣಗೊಳಿಸುತ್ತವೆ, ಮತ್ತು ಪ್ಯಾಕೆಟ್ ದಾಖಲೆ ತಂತಿಯನ್ನು ದಾಟುವ ಯಾವುದೇ ರಹಸ್ಯವನ್ನು ತೋರಿಸುವುದಿಲ್ಲ. ಜನರು ನೆನಪಿಡುವ ಭಾಗ ಅದೇ. ಕುತೂಹಲಕರ ಭಾಗ ಎಂದರೆ ಪ್ರತಿ ಆವೃತ್ತಿಯು ರಹಸ್ಯ ತಿಳಿದಿದೆ ಎಂದು ಸಾಬೀತುಪಡಿಸಲು ನಿಜವಾಗಿ ಏನನ್ನು ಲೆಕ್ಕಹಾಕುತ್ತದೆ ಎಂಬುದು, ಏಕೆಂದರೆ IKEv1 ಮತ್ತು IKEv2 ಆ ಸಾಕ್ಷ್ಯವನ್ನು ಬೇರೆ ಬೇರೆ ಇನ್ಪುಟ್ಗಳಿಂದ ಕಟ್ಟುತ್ತವೆ ಮತ್ತು ಅದನ್ನು ಮಾಡುವಾಗ ಬೇರೆ ಬೇರೆ ಮಾಹಿತಿಯನ್ನು ಬಯಲು ಮಾಡುತ್ತವೆ. ಎರಡೂ ಟ್ರೇಸ್ಗಳನ್ನು ಅಕ್ಕಪಕ್ಕ ಓದಿ, ವ್ಯತ್ಯಾಸವು ಮೇಲ್ಮೈಯದ್ದಾಗಿರುವುದನ್ನು ನಿಲ್ಲಿಸುತ್ತದೆ.

ಸಾಕ್ಷ್ಯವು ಏನನ್ನು ಸಾಧಿಸಬೇಕು

Diffie-Hellman ಎರಡೂ ಕಡೆಗೂ ಒಂದು ಹಂಚಿದ ಮೌಲ್ಯ ನೀಡುತ್ತದೆ, ಅದರ ಸಾರ್ವಜನಿಕ ಅರ್ಧ ಭಾಗಗಳನ್ನು ವೀಕ್ಷಿಸುವ ಯಾರಾದರೂ ಲೆಕ್ಕಹಾಕಬಹುದು. ತಾನಾಗಿಯೇ ಅದು ಗುರುತಿನ ಬಗ್ಗೆ ಏನನ್ನೂ ಸಾಬೀತುಪಡಿಸುವುದಿಲ್ಲ: ಕೀಲಿ ವಿನಿಮಯವನ್ನು ಪೂರ್ಣಗೊಳಿಸುವ ಆಕ್ರಮಣಕಾರನಿಗೆ ನಿಮ್ಮ ಗೇಟ್ವೇಯಂತೆಯೇ ಅದೇ ಹಂಚಿದ ಮೌಲ್ಯ ಇರುತ್ತದೆ. ದೃಢೀಕರಣದ ಹಂತವು ಆ ವಿನಿಮಯವನ್ನು ಉದ್ದೇಶಿತ ಪಕ್ಷಗಳು ಮಾತ್ರ ಹೊಂದಿರುವ ರಹಸ್ಯಕ್ಕೆ ಮತ್ತು ಅವರು ಒಪ್ಪಿದ ಗುರುತುಗಳು ಹಾಗೂ ನಿಯತಾಂಕಗಳಿಗೆ ಬಿಗಿಯಲು ಇದೆ.

ಈ ಬಂಧವೇ ಹ್ಯಾಶ್ ಕೀಲಿಗಿಂತ ಹೆಚ್ಚನ್ನು ಆವರಿಸುವ ಕಾರಣ. ಅದು ರಹಸ್ಯವನ್ನು ಮಾತ್ರ ಆವರಿಸಿದ್ದರೆ, ಆಕ್ರಮಣಕಾರನು ಅದನ್ನು ಬೇರೆ ಗುರುತುಗಳು ಅಥವಾ ಪ್ರಸ್ತಾವಗಳಿರುವ ಇನ್ನೊಂದು ವಿನಿಮಯಕ್ಕೆ ಮತ್ತೆ ಆಡಬಹುದಿತ್ತು.

IKEv1 Main Mode: SKEYID ಪಡೆದು, ನಂತರ ಸಾಬೀತುಪಡಿಸಿ

Main Mode ಆರು ಸಂದೇಶಗಳನ್ನು ನಡೆಸುತ್ತದೆ. ಮೊದಲ ಜೋಡಿ ಭದ್ರತಾ ಸಂಘವನ್ನು ಚರ್ಚಿಸುತ್ತದೆ, ಎರಡನೆಯದು Diffie-Hellman ಸಾರ್ವಜನಿಕ ಮೌಲ್ಯಗಳು ಮತ್ತು nonce ಗಳನ್ನು ವಿನಿಮಯ ಮಾಡುತ್ತದೆ, ಮತ್ತು ಮೂರನೆಯದು ಈಗತಾನೇ ಸ್ಥಾಪಿತವಾದ ಗೂಢಲಿಪೀಕರಣದ ಅಡಿಯಲ್ಲಿ ಗುರುತುಗಳು ಮತ್ತು ದೃಢೀಕರಣ ಹ್ಯಾಶ್ಗಳನ್ನು ಒಯ್ಯುತ್ತದೆ. RFC 2409 ರಚನೆಯನ್ನು ವ್ಯಾಖ್ಯಾನಿಸುತ್ತದೆ: ಪೂರ್ವ-ಹಂಚಿದ ಕೀಲಿ ದೃಢೀಕರಣದಲ್ಲಿ SKEYID ರಹಸ್ಯದಿಂದ ಮತ್ತು ಎರಡೂ nonce ಗಳಿಂದ ಪಡೆಯಲಾಗುತ್ತದೆ, ಮತ್ತು ನಂತರದ ಕೀಲಿ ಸಾಮಗ್ರಿ SKEYID, Diffie-Hellman ಹಂಚಿದ ಮೌಲ್ಯ, ಕುಕೀಗಳು ಮತ್ತು ಸ್ಥಿರಾಂಕಗಳಿಂದ.

ಐದನೇ ಮತ್ತು ಆರನೇ ಸಂದೇಶಗಳಲ್ಲಿನ ಹ್ಯಾಶ್ Diffie-Hellman ಮೌಲ್ಯ, ಎರಡು ಕುಕೀಗಳು, ಪ್ರಸ್ತಾವ ಮತ್ತು ಕಳುಹಿಸುವವರ ಗುರುತಿನ ಮೇಲೆ SKEYID ಅನ್ನು ಕೀಲಿಯಾಗಿ ಬಳಸಿ ಲೆಕ್ಕಹಾಕಲಾಗುತ್ತದೆ. ಸ್ವೀಕರಿಸುವವನು ಅದನ್ನು ತನ್ನ ಸಂರಚಿತ ರಹಸ್ಯದಿಂದ ಮತ್ತೆ ಲೆಕ್ಕಹಾಕುತ್ತಾನೆ. ಹೊಂದಿಕೆಯಾಗದಿರುವಿಕೆ ವಿನಿಮಯವನ್ನು ಮುಗಿಸುತ್ತದೆ, ಮತ್ತು ರಹಸ್ಯ ಸ್ವತಃ ಎಂದಿಗೂ ಪೇಲೋಡ್ ಆಗುವುದಿಲ್ಲ.

Aggressive Mode ಅದೇ ಕೆಲಸವನ್ನು ಮೂರು ಸಂದೇಶಗಳಿಗೆ ಒತ್ತುತ್ತದೆ, ಅಂದರೆ ಗೂಢಲಿಪೀಕೃತ ಕಾಲುವೆ ಇರುವ ಮೊದಲೇ ಗುರುತುಗಳು ಮತ್ತು ದೃಢೀಕರಣ ಹ್ಯಾಶ್ ಪ್ರಯಾಣಿಸುತ್ತವೆ. ಇದು ಊಹಿಸಬಹುದಾದ ರಹಸ್ಯಕ್ಕೆ ನಿಜವಾದ ಒಡ್ಡುವಿಕೆ, ಮತ್ತು ರಹಸ್ಯ ಕಳುಹಿಸಲಾಯಿತೇ ಎಂಬ ಪ್ರಶ್ನೆಯಿಂದ ಪ್ರತ್ಯೇಕ. IKEv1 ಅನ್ನು RFC 9395 ಅಪ್ರಚಲಿತಗೊಳಿಸಿದೆ, ಆದ್ದರಿಂದ ಹಳೆಯ ಟ್ರೇಸ್ ನಿರೋಧನ ಅಭ್ಯಾಸ, ನಿಯೋಜನೆಯ ಗುರಿಯಲ್ಲ.

IKEv2: ಬೇರೆ ವ್ಯುತ್ಪತ್ತಿ ಮತ್ತು ಬೇರೆ AUTH ಪೇಲೋಡ್

IKEv2 IKEv1 ನ ಕೀಲಿ ವೇಳಾಪಟ್ಟಿಯನ್ನು ಮತ್ತೆ ಬಳಸುವುದಿಲ್ಲ. ಆರಂಭಿಕ IKE ಕೀಲಿಗಳು nonce ಗಳಿಂದ ಮತ್ತು Diffie-Hellman ಹಂಚಿದ ಮೌಲ್ಯದಿಂದ ಕಟ್ಟಿದ ಬೀಜದಿಂದ ಬರುತ್ತವೆ, ಮತ್ತು ಅನುಷಂಗಿಕ ಭದ್ರತಾ ಸಂಘಗಳು ಅದರಿಂದ ವ್ಯುತ್ಪನ್ನವಾಗುತ್ತವೆ. ಪೂರ್ವ-ಹಂಚಿದ ಕೀಲಿ ಬೀಜವನ್ನು ಏನೂ ಪೋಷಿಸುವುದಿಲ್ಲ.

ನಂತರ ದೃಢೀಕರಣವು AUTH ಪೇಲೋಡ್ ಆಗಿ ಕಾಣಿಸುತ್ತದೆ. ಹಂಚಿದ ಕೀಲಿ ದೃಢೀಕರಣಕ್ಕೆ RFC 7296 ರಹಸ್ಯದ ತುಂಬಿದ ರೂಪವನ್ನು ನಿರ್ದಿಷ್ಟಪಡಿಸುತ್ತದೆ, ಅದು ರಹಸ್ಯವನ್ನು ಸ್ಥಿರ ಸರಣಿಯಿಂದ ಹ್ಯಾಶ್ ಮಾಡಿ ಪಡೆಯಲಾಗುತ್ತದೆ Key Pad for IKEv2, ನಂತರ ಸಹಿ ಮಾಡಿದ ವಿನಿಮಯ ದತ್ತಾಂಶ ಮತ್ತು ಗುರುತನ್ನು ಆ ತುಂಬಿದ ಕೀಲಿಯಿಂದ ಹ್ಯಾಶ್ ಮಾಡಲಾಗುತ್ತದೆ. ಪರಿಶೀಲಕನು ಅದೇ ಮೌಲ್ಯವನ್ನು ಮತ್ತೆ ಕಟ್ಟಬಲ್ಲನು; ವೀಕ್ಷಕನು ರಹಸ್ಯವಿಲ್ಲದೆ ಕಟ್ಟಲಾರನು.

ಏನು ಬದಲಾಯಿತು ಎಂಬುದನ್ನು ಗಮನಿಸಿ. IKEv1 ನಲ್ಲಿ ರಹಸ್ಯವು ದೃಢೀಕರಣ ಹ್ಯಾಶ್ ಇರುವ ಮೊದಲೇ ಕೀಲಿ ವೇಳಾಪಟ್ಟಿಯಲ್ಲಿ ಬೆರೆತಿರುತ್ತದೆ; IKEv2 ನಲ್ಲಿ ಕೀಲಿ ವೇಳಾಪಟ್ಟಿ ರಹಸ್ಯದಿಂದ ಸ್ವತಂತ್ರವಾಗಿದೆ ಮತ್ತು ಸಾಕ್ಷ್ಯವು ಸಹಿ ಮಾಡಿದ ಆಕ್ಟೆಟ್ಗಳಿಗೆ ಬದ್ಧವಾದ ಪ್ರತ್ಯೇಕ ಪೇಲೋಡ್. ಅದೇ ಪರಿಕಲ್ಪನಾ ಖಾತರಿ, ಬೇರೆ ಯಂತ್ರಾಂಶ, ಮತ್ತು ಆದ್ದರಿಂದ ನಿಯತಾಂಕಗಳ ಹೆಸರುಗಳು ಮತ್ತು ದಾಖಲೆಗಳು ಒಂದಕ್ಕೊಂದು ಹೊಂದಿಕೆಯಾಗುವುದಿಲ್ಲ.

ವೀಕ್ಷಕನು ನಿಜವಾಗಿ ಏನನ್ನು ಕಲಿಯುತ್ತಾನೆ

Diffie-Hellman ಸಾರ್ವಜನಿಕ ಮೌಲ್ಯಗಳು, ಪ್ರಸ್ತಾವಗಳು, nonce ಗಳು ಮತ್ತು ಕುಕೀಗಳು ಎರಡೂ ಆವೃತ್ತಿಗಳಲ್ಲಿ ಕಾಣುತ್ತವೆ. ಗುರುತುಗಳು IKEv1 Aggressive Mode ನಲ್ಲಿ ಕಾಣುತ್ತವೆ ಮತ್ತು ಉಳಿದ ಸಂದರ್ಭಗಳಲ್ಲಿ ರಕ್ಷಿಸಲ್ಪಡುತ್ತವೆ. ರಹಸ್ಯ ಎಂದಿಗೂ ಕಾಣುವುದಿಲ್ಲ.

ಆ ಕೊನೆಯ ವಾಕ್ಯಕ್ಕೆ ಹೇಳಲೇಬೇಕಾದ ಒಂದು ಮಿತಿ ಇದೆ. ದುರ್ಬಲ, ಮನುಷ್ಯ ಆಯ್ಕೆ ಮಾಡಿದ ರಹಸ್ಯವನ್ನು ಊಹೆಯಿಂದ ಆಕ್ರಮಿಸಬಹುದು: ಆಕ್ರಮಣಕಾರನು ಅಭ್ಯರ್ಥಿ ರಹಸ್ಯಕ್ಕೆ ದೃಢೀಕರಣ ಮೌಲ್ಯ ಏನಾಗುತ್ತದೆ ಎಂದು ಲೆಕ್ಕಹಾಕಿ ಹೋಲಿಸುತ್ತಾನೆ. IKEv1 Aggressive Mode ಇದನ್ನು ಅಗ್ಗದ್ದಾಗಿಸುತ್ತದೆ ಏಕೆಂದರೆ ಸಾಕ್ಷ್ಯವು ಬಯಲಿನಲ್ಲಿದೆ, ಮತ್ತು ಮಾನದಂಡಗಳು ಸಾಮಾನ್ಯವಾಗಿ ಕಡಿಮೆ ಎಂಟ್ರೊಪಿಯ ರಹಸ್ಯಗಳ ಬಗ್ಗೆ ಎಚ್ಚರಿಸುತ್ತವೆ. ರಹಸ್ಯವನ್ನು ಎಂದಿಗೂ ಕಳುಹಿಸದಿರುವುದು ಕೆಟ್ಟ ರಹಸ್ಯವನ್ನು ಸುರಕ್ಷಿತಗೊಳಿಸುವುದಕ್ಕೆ ಸಮಾನವಲ್ಲ.

ಈ ಹೋಲಿಕೆಯೊಂದಿಗೆ ಏನು ಮಾಡಬೇಕು

ಪ್ರತಿ ಪಕ್ಷದ ಜೋಡಿಗೂ ಒಂದು ಅನನ್ಯ ರಹಸ್ಯ ಬಳಸಿ, ಅದನ್ನು ಯಾದೃಚ್ಛಿಕ ಮೂಲದಿಂದ ಉತ್ಪಾದಿಸಿ, ಮತ್ತು ಅದನ್ನು ಹಂಚಿದ ಅದೇ ಒದಗಿಸುವಿಕೆ ಮಾರ್ಗದ ಮೂಲಕ ತಿರುಗಿಸಿ. ರಹಸ್ಯವು ಪ್ರತಿ ಶಾಖೆಗೂ ಕಳುಹಿಸುವ ಸಂರಚನಾ ಟೆಂಪ್ಲೇಟ್ನಲ್ಲಿದ್ದರೆ, ಒಂದು ಸ್ಥಳದಲ್ಲಿನ ಉಲ್ಲಂಘನೆ ಎಲ್ಲೆಡೆಯ ಉಲ್ಲಂಘನೆ.

ಕಾರ್ಯಾಚರಣಾ ವೆಚ್ಚ ಸ್ವೀಕಾರಾರ್ಹವಿರುವಲ್ಲಿ ಪ್ರಮಾಣಪತ್ರ ಆಧಾರಿತ ದೃಢೀಕರಣಕ್ಕೆ ಆದ್ಯತೆ ನೀಡಿ, ಏಕೆಂದರೆ ಅದು ಹಂಚಿದ ರಹಸ್ಯದ ಊಹೆ ಸಮಸ್ಯೆಯನ್ನು ತೆಗೆದುಹಾಕುತ್ತದೆ ಮತ್ತು ಪ್ರತಿ ಪಕ್ಷಕ್ಕೂ ಪ್ರತ್ಯೇಕ ಗುರುತನ್ನು ನೀಡುತ್ತದೆ. ಪೂರ್ವ-ಹಂಚಿದ ಕೀಲಿ ಉಳಿಯುವಲ್ಲಿ ಅದನ್ನು ಉದ್ದವಾಗಿ ಇರಿಸಿ, ವ್ಯಾಪ್ತಿಯನ್ನು ಸಂಕುಚಿತಗೊಳಿಸಿ, ಮತ್ತು IKE ಆವೃತ್ತಿಯನ್ನು ಪರಸ್ಪರ ಕಾರ್ಯಸಾಧ್ಯತೆಯ ವಿವರವಲ್ಲ, ಭದ್ರತಾ ನಿರ್ಣಯ ಎಂದು ಪರಿಗಣಿಸಿ.

ಸಂಬಂಧಿತ ಲೇಖನಗಳು